### Method

# Gtk Snapshotfree_to_paintable

#### Declaration [src]

    GdkPaintable*
    gtk_snapshot_free_to_paintable (
      GtkSnapshot* snapshot,
      const graphene_size_t* size
    )

#### Description [src]

Returns a paintable for the node that was constructed by `snapshot` and frees `snapshot`.

This method is not directly available to language bindings.

#### Parameters

`size`

  Type: `graphene_size_t`

  The size of the resulting paintable or `NULL` to use the bounds of the snapshot.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GdkPaintable`

A newly-created `GdkPaintable`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.